geronimo-j2ee-1_4-apis-1.2-77.5.noarch.rpm


Advertisement

Description

geronimo-j2ee-1_4-apis - Geronimo J2EE server J2EE specifications

Property Value
Distribution openSUSE Tumbleweed
Repository JAVA all
Package filename geronimo-j2ee-1_4-apis-1.2-77.5.noarch.rpm
Package name geronimo-j2ee-1_4-apis
Package version 1.2
Package release 77.5
Package architecture noarch
Package type rpm
Category Development/Languages/Java
Homepage http://geronimo.apache.org
License Apache-2.0
Maintainer -
Download size 422.34 KB
Installed size 561.43 KB
Geronimo is Apache's ASF-licenced J2EE server project. These are the
J2EE-Specifications: J2EE Specification (the complete set in one jar)

Alternatives

Package Version Architecture Repository
geronimo-j2ee-1_4-apis-1.2-34.1.noarch.rpm 1.2 noarch openSUSE Oss
geronimo-j2ee-1_4-apis - - -

Requires

Name Value
java-headless -
javapackages-filesystem -
update-alternatives -

Provides

Name Value
commonj_1_1_apis = 1.2
commonj_apis = 1.1
corba_2_3_apis = 1.2
corba_apis = 2.3
ejb = 2.1
ejb_2_1_api = 1.2
ejb_api = 2.1
geronimo-corba-2_3-apis = 1.2
geronimo-j2ee-1_4-apis = 1.2-77.5
geronimo-qname-1_1-api = 1.2
j2ee-connector = 1.5
j2ee-deployment = 1.1
j2ee-management = 1.0
j2ee_connector_1_5_api = 1.2
j2ee_connector_api = 1.5
j2ee_deployment_1_1_api = 1.2
j2ee_deployment_api = 1.1
j2ee_management_1_0_api = 1.2
j2ee_management_api = 1.0
jacc = 1.0
jacc_1_0_api = 1.2
jacc_api = 1.0
jaf = 1.0.2
jaf_1_0_2_api = 1.2
jaf_api = 1.0.2
javamail = 1.3.1
javamail_1_3_1_api = 1.2
javamail_api = 1.3.1
jaxr = 1.0
jaxr_1_0_api = 1.2
jaxr_api = 1.0
jaxrpc = 1.1
jaxrpc_1_1_api = 1.2
jaxrpc_api = 1.1
jms = 1.1
jms_1_1_api = 1.2
jms_api = 1.1
jsp = 2.0
jsp_2_0_api = 1.2
jsp_api = 2.0
jta = 1.0.1B
jta_1_0_1B_api = 1.2
jta_api = 1.0.1B
qname_1_1_api = 1.2
qname_api = 1.1
saaj = 1.1
saaj_1_1_api = 1.2
saaj_api = 1.1
servlet = 2.4
servlet_2_4_api = 1.2
servlet_api = 2.4

Obsoletes

Name Value
geronimo-specs-poms -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package geronimo-j2ee-1_4-apis-1.2-77.5.noarch.rpm
Source Package geronimo-specs-1.2-77.5.src.rpm

Install Howto

  1. Add the JAVA repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/Java:/packages/openSUSE_Tumbleweed/ java
  2. Install geronimo-j2ee-1_4-apis rpm package:
    # zypper install geronimo-j2ee-1_4-apis

Files

Path
/usr/share/java/geronimo-j2ee-1.4-apis.jar
/usr/share/licenses/geronimo-j2ee-1_4-apis/LICENSE.txt
/usr/share/maven-metadata/geronimo-specs-j2ee-1.4-apis.xml
/usr/share/maven-poms/JPP-geronimo-j2ee-1.4-apis.pom

Changelog

2019-04-15 - Fridrich Strba <fstrba@suse.com>
- Removed patches:
* geronimo-specs-1.2-pom_xml.patch
* geronimo-specs-corba-2.3-pom_xml.patch
* geronimo-specs-j2ee-1.4-pom_xml.patch
* geronimo-specs-j2ee-connector-1.5-pom_xml.patch
* geronimo-specs-jta-1.0.1B-pom_xml.patch
* geronimo-specs-servlet-2.4-pom_xml.patch
+ Not needed since we are not building with maven and some
of the modifications are possible using the
javapackages-local macros.
- Remove all reference to parent pom, since we are not building
with maven, and don't package the parent pom in this build.
- Stop using alternatives to handle different versions of provides.
- Avoid multiplication of jar symlinks
2019-04-12 - Julio Gonzalez Gil <jgonzalez@suse.com>
- Obsoletes, conflicts and provides must use only %%{version} as the
the release is managed automatically by OBS and not needed  (bsc#1132514)
2019-03-19 - Fridrich Strba <fstrba@suse.com>
- Let each package obsolete and conflict with the
%%{name}-poms < %%{version}-%%{release} in order to make upgrades
smooth
2018-12-13 - Fridrich Strba <fstrba@suse.com>
- Add alias javax.jms:jms to geronimo-jms-1_1-api
2018-11-21 - Fridrich Strba <fstrba@suse.com>
- Add aliases org.eclipse.jetty.orbit:javax.transaction and
javax.transaction:jta to geronimo-jta-1_1-api
2018-11-12 - Fridrich Strba <fstrba@suse.com>
- Add alias javax.persistence:persistence-api to
geronimo-jpa-3.0-api subpackage
2018-11-12 - Fridrich Strba <fstrba@suse.com>
- Package the pom files together with their corresponding jars,
since packaging poms separately makes no sense at all
- Rename geronimo-specs-poms package to geronimo-specs-pom, since
it now contains only the parent pom.
2018-11-09 - Fridrich Strba <fstrba@suse.com>
- Add two aliases to the maven artifact in
geronimo-annotation-1_0-api sub-package
2018-07-16 - fstrba@suse.com
- BuildConflict with java-devel >= 11, since the build uses tools
and APIs removed in jdk11
2018-05-17 - fstrba@suse.com
- Build with source and target 8 to prepare for a possible removal
of 1.6 compatibility

See Also

Package Description
geronimo-j2ee-connector-1_5-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-j2ee-deployment-1_1-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-j2ee-management-1_0-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-j2ee-management-1_1-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-jacc-1_0-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-jacc-1_1-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-jaf-1_0_2-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-jaf-1_1-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-javaee-deployment-1_1-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-javamail-1_3_1-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-javamail-1_4-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-jaxr-1_0-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-jaxrpc-1_1-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-jms-1_1-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-jpa-3_0-api-1.2-77.5.noarch.rpm Geronimo J2EE server J2EE specifications
Advertisement
Advertisement